org.keycloak.models.map.userSession

## Class AbstractAuthenticatedClientSessionModel<K>

- java.lang.Object
- - org.keycloak.models.map.userSession.AbstractAuthenticatedClientSessionModel<K>

- All Implemented Interfaces:
    AuthenticatedClientSessionModel, CommonClientSessionModel
  Direct Known Subclasses:
    MapAuthenticatedClientSessionAdapter

      public abstract class AbstractAuthenticatedClientSessionModel<K>
      extends Object
      implements AuthenticatedClientSessionModel

  Author:
    Martin Kanis

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.AuthenticatedClientSessionModel

      `AuthenticatedClientSessionModel.SearchableFields`

    - ### Nested classes/interfaces inherited from interface org.keycloak.sessions.CommonClientSessionModel

      `CommonClientSessionModel.Action, CommonClientSessionModel.ExecutionStatus`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientModel` | `client`
    `protected MapAuthenticatedClientSessionEntity<K>` | `entity`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`
    `protected UserSessionModel` | `userSession`

    - ### Fields inherited from interface org.keycloak.models.AuthenticatedClientSessionModel

      `STARTED_AT_NOTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAuthenticatedClientSessionModel(KeycloakSession session, RealmModel realm, ClientModel client, UserSessionModel userSession, MapAuthenticatedClientSessionEntity<K> entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.AuthenticatedClientSessionModel

      `detachFromUserSession, getCurrentRefreshToken, getCurrentRefreshTokenUseCount, getId, getNote, getNotes, getStarted, getTimestamp, getUserSession, removeNote, setCurrentRefreshToken, setCurrentRefreshTokenUseCount, setNote, setTimestamp`

    - ### Methods inherited from interface org.keycloak.sessions.CommonClientSessionModel

      `getAction, getClient, getProtocol, getRealm, getRedirectUri, setAction, setProtocol, setRedirectUri`

- - ### Field Detail

    - #### session

          protected final KeycloakSession session

    - #### realm

          protected final RealmModel realm

    - #### client

          protected ClientModel client

    - #### userSession

          protected UserSessionModel userSession

    - #### entity

          protected final MapAuthenticatedClientSessionEntity<K> entity

  - ### Constructor Detail

    - #### AbstractAuthenticatedClientSessionModel

          public AbstractAuthenticatedClientSessionModel(KeycloakSession session,
                                                         RealmModel realm,
                                                         ClientModel client,
                                                         UserSessionModel userSession,
                                                         MapAuthenticatedClientSessionEntity<K> entity)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.